Subject: Re: Sending the original (Unicode) domain name as well as the ACE ?

From: Elisabeth Porteneuve <[email-masked]>
Date: Thu, 8 Aug 2002 10:11:32 +0200 (MET DST)

Budi Rahardjo <[email-masked]> wrote:
> > > The UPU, established in 1874, (http://www.upu.int/) provides postal 
> > > addresses in English for every country.
> > > 
> > > The very basic reason is that the common lowest dominator is needed
> > > to ensure the postmen worldwide read postal addresses, and put 
> > > enveloppes in appropriate bag to be delivered in appropriate country.
> > > 
> > > We better have the postal address information in EPP that
> > > respects the UPU conventions.
> 
> It's fine as long as EPP supports "other forms" of addresses.
> That is, it is possible for a country/region to use EPP with
> their own characters (whatever that be).
> There are many cases of people who cannot read & write English
> and still want to use Internet (and don't care about English
> emails/pages/and so on). They want to communicate internally
> (within their region), have their own domain names, 
> email addresses, etc.
> 
> 
> -- budi
> 

The nature of a postal address is that is might be used to send 
a _paper_ letter. Then a person in, say Italy, will have to write 
it on a paper and post to, say Korea. Whatever country/region
approach, we shall have provision for it.
You have then to ensure few things: (1) that a correspondent staying
in Italy can correctly write on a paper, (2) that Italian postmen 
can put that paper letter to an appropriate bag and route it to Korea,
and (3) that Korean postmen can read and understand the address.

We do not speak here about content of letters, or content of websites.
If any comparison, postal addresses are much closer to airport 
names and flights numbers. It is papa-tango-charlie Esperanto 
which allows for international communication.

The intent of my message was to recall that LDH used in postal address 
is not to prevent people to communicate, neither to dominate them, 
but exactly the opposite, to permit international communication happen.

Elisabeth

---

From: Budi Rahardjo <[email-masked]>
Date: Thu, 8 Aug 2002 17:59:44 +0700

On Thu, Aug 08, 2002 at 10:11:32AM +0200, Elisabeth Porteneuve wrote:
...
> it on a paper and post to, say Korea. 

Hi Elisabeth,
I understand what you're saying. You are correct if a person
in Korea wants to communicate with a person in Italy (or vice versa).
But, it doesn't have to be that way for a person in Korea who
wants to communicate with another person in Korea.
S/he may not really care about other people in other parts of the world.
Perhaps a similar situation may also happen in China, Taiwan,
Arabic countries, and so on.

It doesn't make sense to *force* them to use our alphabet
if they just want to communicate internally, does it?

> We do not speak here about content of letters, or content of websites.

No, I am not talking the content of a letter.
I am thinking of the address.

In China, Taiwan, Japan, etc... they can write the *address*
with their own characters on the envelope, can't they?
Or do they *have* to write in "our" alphanumeric characters? ;-)
Of course, the letters may not make sense to us, but it is not
intended to us anyway.

> but exactly the opposite, to permit international communication happen.

As long as it does not *force* people to do one way.
They know that using their own characters may restrict international
communication, but that's their choice.
We shouldn't ram it down to their throats ;-)
(figure of speach of course)

I hope my explanation is clear.
Or ... create more confusion, as usual...

Regards
-- budi